import type { AppPageInterceptingRouteDefinition } from '../route-definitions/app-page-route-definition';
import type { AppPageInterceptingRouteMatch } from '../route-matches/app-page-route-match';
import { RouteMatcher } from './route-matcher';
export declare type AppPageInterceptingRouteMatcherMatchOptions = {
    /**
     * If provided, this is used for intercepting routes to resolve.
     */
    referrer?: string;
};
export declare class AppPageInterceptingRouteMatcher extends RouteMatcher<AppPageInterceptingRouteDefinition> {
    private readonly interceptingRouteMatcher;
    constructor(definition: AppPageInterceptingRouteDefinition);
    get identity(): string;
    /**
     * Match will attempt to match the given pathname against this route while
     * also taking into account the referrer information.
     *
     * @param pathname The pathname to match against.
     * @param options The options to use when matching.
     * @returns The match result, or `null` if there was no match.
     */
    match(pathname: string, options?: AppPageInterceptingRouteMatcherMatchOptions): AppPageInterceptingRouteMatch | null;
    /**
     * Test will attempt to match the given pathname against this route while
     * also taking into account the referrer information.
     *
     * @param pathname The pathname to match against.
     * @param options The options to use when matching.
     * @returns The match result, or `null` if there was no match.
     */
    test(pathname: string, options?: AppPageInterceptingRouteMatcherMatchOptions): {
        params?: import("../../../shared/lib/router/utils/route-matcher").Params | undefined;
    } | null;
}
